%global commit 2dbbbb758f72c7665f590feec7f84e855c7b9951
%global shortcommit %(c=%{commit}; echo ${c:0:7})

Name:           eclipse-m2e-buildhelper
Version:        0.15.0
Release:        0.14.git%{shortcommit}%{?dist}
Summary:        M2E Build Helper connector
License:        EPL-1.0
URL:            https://github.com/tesla/m2eclipse-buildhelper/
BuildArch:      noarch

# Upstream Eclipse no longer supports non-64bit arches
ExcludeArch: s390 %{arm} %{ix86}

Source0:        https://github.com/tesla/m2eclipse-buildhelper/archive/%{commit}/%{name}-%{version}-%{shortcommit}.tar.gz

BuildRequires:  maven-local
BuildRequires:  mvn(io.tesla.tycho:tycho-support:pom:)
BuildRequires:  osgi(org.eclipse.m2e.core)
BuildRequires:  osgi(org.eclipse.m2e.jdt)

Enhances:       eclipse-m2e-core

%description
This package provides Build Helper connector for Eclipse M2E.

%prep
%setup -q -n m2eclipse-buildhelper-%{commit}
find -name *.jar -delete

# Tests are skipped because of missing dependencies:
# osgi(org.eclipse.m2e.tests.common)
%pom_disable_module org.sonatype.m2e.buildhelper.tests

%build
%mvn_build -j

%install
%mvn_install

%files -f .mfiles
%doc org.sonatype.m2e.buildhelper.feature/license.html

%changelog
* Tue Jun 25 2019 Mat Booth <mat.booth@redhat.com> - 0.15.0-0.14.git2dbbbb7
- Restrict to same architectures as Eclipse itself

* Thu Jan 31 2019 Fedora Release Engineering <releng@fedoraproject.org> - 0.15.0-0.13.git2dbbbb7
- Rebuilt for https://fedoraproject.org/wiki/Fedora_30_Mass_Rebuild

* Wed Aug 22 2018 Mat Booth <mat.booth@redhat.com> - 0.15.0-0.12.git2dbbbb7
- Update license tag

* Thu Jul 12 2018 Fedora Release Engineering <releng@fedoraproject.org> - 0.15.0-0.11.git2dbbbb7
- Rebuilt for https://fedoraproject.org/wiki/Fedora_29_Mass_Rebuild

* Wed Feb 07 2018 Fedora Release Engineering <releng@fedoraproject.org> - 0.15.0-0.10.git2dbbbb7
- Rebuilt for https://fedoraproject.org/wiki/Fedora_28_Mass_Rebuild

* Wed Jul 26 2017 Fedora Release Engineering <releng@fedoraproject.org> - 0.15.0-0.9.git2dbbbb7
- Rebuilt for https://fedoraproject.org/wiki/Fedora_27_Mass_Rebuild

* Fri Feb 10 2017 Fedora Release Engineering <releng@fedoraproject.org> - 0.15.0-0.8.git2dbbbb7
- Rebuilt for https://fedoraproject.org/wiki/Fedora_26_Mass_Rebuild

* Wed Feb 03 2016 Fedora Release Engineering <releng@fedoraproject.org> - 0.15.0-0.7.git2dbbbb7
- Rebuilt for https://fedoraproject.org/wiki/Fedora_24_Mass_Rebuild

* Mon Oct 19 2015 Mikolaj Izdebski <mizdebsk@redhat.com> - 0.15.0-0.6.git2dbbbb7
- Add Enhances: eclipse-m2e-core

* Mon Sep 14 2015 Roland Grunberg <rgrunber@redhat.com> - 0.15.0-0.5.git2dbbbb7
- Rebuild as an Eclipse p2 Droplet.

* Wed Jun 17 2015 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.15.0-0.4.git2dbbbb7
- Rebuilt for https://fedoraproject.org/wiki/Fedora_23_Mass_Rebuild

* Wed Sep 10 2014 Mikolaj Izdebski <mizdebsk@redhat.com> - 0.15.0-0.3.git2dbbbb7
- Install with XMvn

* Sat Jun 07 2014 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.15.0-0.2.git2dbbbb7
- Rebuilt for https://fedoraproject.org/wiki/Fedora_21_Mass_Rebuild

* Tue Jan 28 2014 Mikolaj Izdebski <mizdebsk@redhat.com> - 0.15.0-0.1.git2dbbbb7
- Initial commit
